> For the complete documentation index, see [llms.txt](https://docs.rekor.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rekor.ai/scout/application-integration/receiving-http-posts.md).

# Receiving HTTP POSTs

The Rekor Scout® Agent can be configured to send HTTP POSTs to your HTTP server. To enable this option, set the following parameters in `/etc/openalpr/alprd.conf`:

```
upload_data = 1
upload_address = [your HTTP server endpoint]
websockets_enabled = 0
web_server_enabled = 1
```

In addition, you must add a valid on-premises license to `/etc/openalpr/license.conf`

Once updated, restart the Rekor Scout Agent service to allow the settings to take effect. As plates are recognized, the JSON data described in this section will be sent to your HTTP server as an HTTP POST.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rekor.ai/scout/application-integration/receiving-http-posts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
